#include <kernel/blk.h>
#include <string.h>
//----------------------------------------------------------------------
void *
blk_cache_read (dev_t device, unsigned int n)
{
  int i;
  int j;
  int age;
  //
  device &= 0xFFF0;
  //
  for (i = 0; i < BLK_CACHE_SIZE; i++)
    {
      if ( blk_table[i].device == device
        && blk_table[i].n == n)
        {
          age = blk_table[i].age;
          for (j = 0; j < BLK_CACHE_SIZE; j++)
            {
              if (blk_table[j].age < age)
                {
                  blk_table[j].age++;
                }
            }
          blk_table[i].age = 0;
          //
          return (&blk_table[i].block);
        }
    }
  return (NULL);
}
