#include <kernel/lib_s.h>
#include <kernel/proc.h>
#include <stddef.h>
#include <errno.h>
//----------------------------------------------------------------------
extern clock_t  _clock_time;	// uint64_t
//----------------------------------------------------------------------
int
s_stime (pid_t pid, time_t * timer)
{
  if (proc_table[pid].euid != 0)
    {
      errset (EPERM);
      return (-1);
    }
  //
  _clock_time = *timer * CLOCKS_PER_SEC;
  return (0);
}
