#include <kernel/proc.h>
#include <kernel/lib_s.h>
#include <kernel/lib_k.h>
#include <stdint.h>
//----------------------------------------------------------------------
#define DEBUG 0
//----------------------------------------------------------------------
void *
ptr (pid_t pid, void *p)
{
  uintptr_t start;
  //
  if (p == NULL)
    {
      return (NULL);
    }
  else if (proc_table[pid].domain_data == 0)
    {
      start = proc_table[pid].address_text;
    }
  else
    {
      start = proc_table[pid].address_data;
    }
  //
  return ((void *) (start + (uintptr_t) p));
}
