#include <arpa/inet.h>
//----------------------------------------------------------------------
uint16_t
ntohs (uint16_t net16)
{
  uint8_t *orig = (void *) &net16;
  union {
    uint16_t value;
    uint8_t  b[2];
  } dest;
  //
  // Convert: must revert byte order.
  //
  dest.b[0] = orig[1];
  dest.b[1] = orig[0];
  //
  return (dest.value);
}
