#ifndef _ASSERT_H
#define _ASSERT_H       1
//----------------------------------------------------------------------
#include <stdio.h>
//----------------------------------------------------------------------
#ifdef NDEBUG
#define assert(ignore) ((void)0)
#else
#define assert(ASSERTION)                                      \
            ({if ((ASSERTION)==0)                              \
                fprintf (stderr,                               \
                         "Assertion failed: " # ASSERTION      \
                         ", function %s, file %s, line %u.\n", \
                         __func__, __FILE__, __LINE__);})
#endif
//----------------------------------------------------------------------
#endif
