#include <sys/types.h>
#include <errno.h>
#include <sys/os32.h>
#include <stddef.h>
#include <string.h>
//----------------------------------------------------------------------
int
mount (const char *path_dev, const char *path_mnt, int options)
{
  sysmsg_mount_t msg;
  //
  msg.path_dev = path_dev;
  msg.path_mnt = path_mnt;
  msg.options = options;
  msg.ret = 0;
  msg.errno = 0;
  //
  sys (SYS_MOUNT, &msg, (sizeof msg));
  //
  errno = msg.errno;
  errln = msg.errln;
  strncpy (errfn, msg.errfn, PATH_MAX);
  return (msg.ret);
}
