#include <sys/os32.h>
#include <errno.h>
#include <stddef.h>
#include <string.h>
//----------------------------------------------------------------------
void
z_perror (const char *string)
{
    //
    // If errno is zero, there is nothing to show.
    //
    if (errno == 0)
      {
        return;
      }
    //
    // Show the string if there is one.
    //
    if (string != NULL && strlen (string) > 0)
      {
        z_printf ("%s: ", string);
      }
    //
    // Show the translated error.
    //
    if (errfn[0] != 0 && errln != 0)
      {
	z_printf ("[%s:%u:%i] %s\n",
	          errfn, errln, errno, strerror (errno));
      }
    else
      {
	z_printf ("[%i] %s\n", errno, strerror (errno));
      }
}
