#include <unistd.h>
#include <string.h>
#include <sys/os32.h>
#include <errno.h>
#include <limits.h>
//----------------------------------------------------------------------
int
chdir (const char *path)
{
    sysmsg_chdir_t msg;
    //
    msg.path   = path;
    msg.ret    = 0;
    msg.errno  = 0;
    //
    sys (SYS_CHDIR, &msg, (sizeof msg));
    //
    errno = msg.errno;
    errln = msg.errln;
    strncpy (errfn, msg.errfn, PATH_MAX);
    return (msg.ret);
}
