.global _k_stack_top
.global _k_stack_bottom
########################################################################
#
# Kernel stack size. The value 0x010000 is equal to 1 Mibyte.
# Please note that if the kernel stack is too little, there is
# no way to check it.
#
.equ STACK_SIZE,  0x0100000
#-----------------------------------------------------------------------
.align 4
.section .bss
#-----------------------------------------------------------------------
#
# At the end is placed the space for the kernel stack, with no
# initialization.
#
_k_stack_top:
.space STACK_SIZE
_k_stack_bottom:
#-----------------------------------------------------------------------
